Subject: [Mgs] B timing chain cover on A

From: Mike Duvall via Mgs <[email-masked]>
Date: Sun, 26 Jun 2016 18:46:30 -0500

I put an early B timing chain cover on my A with new thrower .

Oil now gushes in three streams out of the front of the engine.   

Misaligned cover, seal in backwards or throwing in backwards??  pretty sure it isn’t the later two.   To line up the cover,  I left it loose and pushed the pulley into place and then snugged up the cover.  

Suggestions?   Am I missing anything,  better ways to line up the cover??  Thanks,  Mike
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]